# Google Scholar Search

## Try it in the Widget Center

Click this [url](https://app.myshell.ai/robot-workshop/widget/1781994348505960448) to try this widget and copy the Pro Config template.

## Usage

This widget will use google scholar search and the related results (article title, authors, etc) are returned.

**Input Parameters**

<table><thead><tr><th>Name</th><th>Type</th><th>Description</th><th>Default</th><th data-type="checkbox">Required</th></tr></thead><tbody><tr><td>query</td><td><code>string</code></td><td>The search query string that specifies what the search should be about.</td><td></td><td>true</td></tr><tr><td>num_results</td><td><code>integer</code></td><td>The number of search results to return.</td><td>10</td><td>false</td></tr></tbody></table>

**Output Parameters**

| Name            | Type    | Description                                                                             | File Type |
| --------------- | ------- | --------------------------------------------------------------------------------------- | --------- |
| search\_results | `array` | The result of google search, containing the links, titles, and other useful information |           |

**Output Example**

{% tabs %}
{% tab title="success" %}
{% code fullWidth="false" %}

```json
{
  "search_results": [
    {
      "authors": [
        {
          "author_id": "DhtAFkwAAAAJ",
          "link": "https://scholar.google.com/citations?user=DhtAFkwAAAAJ\u0026hl=en\u0026oi=sra",
          "name": "K He",
          "serpapi_scholar_link": "https://serpapi.com/search.json?author_id=DhtAFkwAAAAJ\u0026engine=google_scholar_author\u0026hl=en"
        },
        {
          "author_id": "yuB-cfoAAAAJ",
          "link": "https://scholar.google.com/citations?user=yuB-cfoAAAAJ\u0026hl=en\u0026oi=sra",
          "name": "X Zhang",
          "serpapi_scholar_link": "https://serpapi.com/search.json?author_id=yuB-cfoAAAAJ\u0026engine=google_scholar_author\u0026hl=en"
        },
        {
          "author_id": "AUhj438AAAAJ",
          "link": "https://scholar.google.com/citations?user=AUhj438AAAAJ\u0026hl=en\u0026oi=sra",
          "name": "S Ren",
          "serpapi_scholar_link": "https://serpapi.com/search.json?author_id=AUhj438AAAAJ\u0026engine=google_scholar_author\u0026hl=en"
        },
        {
          "author_id": "ALVSZAYAAAAJ",
          "link": "https://scholar.google.com/citations?user=ALVSZAYAAAAJ\u0026hl=en\u0026oi=sra",
          "name": "J Sun",
          "serpapi_scholar_link": "https://serpapi.com/search.json?author_id=ALVSZAYAAAAJ\u0026engine=google_scholar_author\u0026hl=en"
        }
      ],
      "link": "http://openaccess.thecvf.com/content_cvpr_2016/html/He_Deep_Residual_Learning_CVPR_2016_paper.html",
      "title": "Deep residual learning for image recognition"
    },
    {
      "authors": [
        {
          "author_id": "6k6KEr4AAAAJ",
          "link": "https://scholar.google.com/citations?user=6k6KEr4AAAAJ\u0026hl=en\u0026oi=sra",
          "name": "H Alaeddine",
          "serpapi_scholar_link": "https://serpapi.com/search.json?author_id=6k6KEr4AAAAJ\u0026engine=google_scholar_author\u0026hl=en"
        },
        {
          "author_id": "258LS50AAAAJ",
          "link": "https://scholar.google.com/citations?user=258LS50AAAAJ\u0026hl=en\u0026oi=sra",
          "name": "M Jihene",
          "serpapi_scholar_link": "https://serpapi.com/search.json?author_id=258LS50AAAAJ\u0026engine=google_scholar_author\u0026hl=en"
        }
      ],
      "link": "https://www.hindawi.com/journals/cin/2021/6659083/",
      "title": "Deep residual network in network"
    },
    {
      "authors": [
        {
          "author_id": "DhtAFkwAAAAJ",
          "link": "https://scholar.google.com/citations?user=DhtAFkwAAAAJ\u0026hl=en\u0026oi=sra",
          "name": "K He",
          "serpapi_scholar_link": "https://serpapi.com/search.json?author_id=DhtAFkwAAAAJ\u0026engine=google_scholar_author\u0026hl=en"
        },
        {
          "author_id": "yuB-cfoAAAAJ",
          "link": "https://scholar.google.com/citations?user=yuB-cfoAAAAJ\u0026hl=en\u0026oi=sra",
          "name": "X Zhang",
          "serpapi_scholar_link": "https://serpapi.com/search.json?author_id=yuB-cfoAAAAJ\u0026engine=google_scholar_author\u0026hl=en"
        },
        {
          "author_id": "AUhj438AAAAJ",
          "link": "https://scholar.google.com/citations?user=AUhj438AAAAJ\u0026hl=en\u0026oi=sra",
          "name": "S Ren",
          "serpapi_scholar_link": "https://serpapi.com/search.json?author_id=AUhj438AAAAJ\u0026engine=google_scholar_author\u0026hl=en"
        },
        {
          "author_id": "ALVSZAYAAAAJ",
          "link": "https://scholar.google.com/citations?user=ALVSZAYAAAAJ\u0026hl=en\u0026oi=sra",
          "name": "J Sun",
          "serpapi_scholar_link": "https://serpapi.com/search.json?author_id=ALVSZAYAAAAJ\u0026engine=google_scholar_author\u0026hl=en"
        }
      ],
      "link": "https://link.springer.com/chapter/10.1007/978-3-319-46493-0_38",
      "title": "Identity mappings in deep residual networks"
    }
  ]
}
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.myshell.ai/create/pro-config-mode/api-reference/widgets/19-google-scholar-search.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
